[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.GetWSComponentClass

This method allows descendants to override the WidgetSetClass.

## Declaration

Source position: lclclasses.pp line 51

`protected class function TLCLComponent.GetWSComponentClass(`
`ASelf: TLCLComponent`
`):TWSLCLComponentClass; virtual;`

## Arguments

`ASelf` |  | Component instance examined in the method.

## Function result

Class type used to create instances of the specified component.

## Description

GetWSComponentClass is a TWSLCLComponentClass class function which allows descendants to override the WidgetSetClass class type used to create instances of the component. When WidgetSetClass has not been assigned (contains Nil), the return value is set to the TWSLCLComponent type.

## See also

TLCLComponent.WidgetSetClass |  | The class type used to create instances of this component.